import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { Area } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var AreaChart = defineComponent({
  name: 'AreaChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Area
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});
/* istanbul ignore next */

AreaChart.install = function (app) {
  app.component(AreaChart.name, AreaChart);
};

export default AreaChart;