import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { Bar } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var BarChart = defineComponent({
  name: 'BarChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Bar
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});
/* istanbul ignore next */

BarChart.install = function (app) {
  app.component(BarChart.name, BarChart);
};

export default BarChart;