import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { Funnel } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var FunnelChart = defineComponent({
  name: 'FunnelChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Funnel
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});
/* istanbul ignore next */

FunnelChart.install = function (app) {
  app.component(FunnelChart.name, FunnelChart);
};

export default FunnelChart;