import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { h } from "@vue/composition-api";
import { defineComponent } from 'vue-demi';
import { Line } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var LineChart = defineComponent({
  name: 'LineChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Line
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});
/* istanbul ignore next */

LineChart.install = function (app) {
  app.component(LineChart.name, LineChart);
};

export default LineChart;