import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { h } from "@vue/composition-api";
import { defineComponent } from 'vue-demi';
import { Radar } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var RadarChart = defineComponent({
  name: 'RadarChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Radar
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});
/* istanbul ignore next */

RadarChart.install = function (app) {
  app.component(RadarChart.name, RadarChart);
};

export default RadarChart;