import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { h } from "@vue/composition-api";
import { defineComponent } from 'vue-demi';
import { Stock } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var StockChart = defineComponent({
  name: 'StockChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Stock
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});
/* istanbul ignore next */

StockChart.install = function (app) {
  app.component(StockChart.name, StockChart);
};

export default StockChart;