import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { Bullet } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var BulletChart = defineComponent({
  name: 'BulletChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Bullet
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});
/* istanbul ignore next */

BulletChart.install = function (app) {
  app.component(BulletChart.name, BulletChart);
};

export default BulletChart;