import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { Stock } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var StockChart = defineComponent({
  name: 'StockChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Stock
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});
/* istanbul ignore next */

StockChart.install = function (app) {
  app.component(StockChart.name, StockChart);
};

export default StockChart;